Please merge kdenlive from Debian unstable

Bug #1546803 reported by Ross Gammon on 2016-02-17
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
kdenlive (Ubuntu)
Medium
Scarlett Gately Moore

Bug Description

Source package name: kdenlive
Source package version number to sync: 15.12.2-1
Where to sync from: Debian sid main

An epoch has been added to the Ubuntu version, which means that the package is never auto-synced. The Kubuntu Team appear to have been maintaining kdenlive until recently, so I will subscribe them to this bug.

Kdenlive is part of the Ubuntu Studio metapackages, and we have noticed in testing that 15.08 is very buggy, and that 15.12 is much more stable & usable.

These are all the Ubuntu changes from debian/changelog:
kdenlive (4:15.08.2.1~really15.08.1-0ubuntu2) wily; urgency=medium

  * Add back kubuntu_use_gles_on_armhf.diff

 -- Jonathan Riddell <email address hidden> Tue, 20 Oct 2015 09:30:51 +0100

kdenlive (4:15.08.2.1~really15.08.1-0ubuntu1) wily; urgency=medium

  * Revert back to 15.08.1 for https://bugs.kde.org/show_bug.cgi?id=354045

 -- Jonathan Riddell <email address hidden> Mon, 19 Oct 2015 23:05:57 +0100

kdenlive (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <email address hidden> Wed, 14 Oct 2015 12:19:36 +0100

kdenlive (4:15.08.1-0ubuntu2) wily; urgency=medium

  * Add back kubuntu_use_gles_on_armhf.diff

 -- Jonathan Riddell <email address hidden> Wed, 23 Sep 2015 11:43:29 +0100

kdenlive (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <email address hidden> Tue, 22 Sep 2015 16:43:06 +0100

kdenlive (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Link with the OpenGLES libraries.

 -- Matthias Klose <email address hidden> Sun, 30 Aug 2015 18:17:57 +0200

kdenlive (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <email address hidden> Wed, 26 Aug 2015 17:22:49 +0100

kdenlive (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <email address hidden> Tue, 18 Aug 2015 09:46:52 +0100

kdenlive (4:15.04.2-0ubuntu2) wily; urgency=medium

  * Fix build on armhf by adding kubuntu_use_gles_on_armhf.diff:
      - Add FindOpenGLES.cmake
      - Only look for OpenGL if QtOpenGL is built against it, otherwise use
        OpenGLES

 -- Philip Muškovac <email address hidden> Thu, 09 Jul 2015 20:11:44 +0200

kdenlive (4:15.04.2-0ubuntu1) wily; urgency=medium

  * Fix watch file
  * New upstream release

 -- Scarlett Clark <email address hidden> Tue, 09 Jun 2015 18:53:45 +0200

kdenlive (0.9.50-0ubuntu1) UNRELEASED; urgency=medium

  * KDE Frameworks 5 port

 -- Harald Sitter <email address hidden> Fri, 13 Feb 2015 17:30:09 +0100

kdenlive (0.9.10-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. (LP: #1402216, #1346733)
    Remaining changes:
    - debian/patches/opengl_optional.patch:
      + Make opengl optional for ARM.
  * debian/patches/kubuntu_armhf-missing-include.diff:
    - Dropped, fixed upstream.

 -- Artur Rona <email address hidden> Fri, 19 Dec 2014 16:52:41 +0100

kdenlive (0.9.10-2) unstable; urgency=medium

  * Add libv4l-dev as build dependency for webcam support.
  * Exclude docbook files from dh_compress.
    Closes: #765974

 -- Patrick Matthäi <email address hidden> Mon, 27 Oct 2014 18:25:52 +0100

I believe the following Ubuntu changes can now be dropped, and kdenlive synced directly from Debian (note, a new version was uploaded to unstable today which has not made it to testing):
1. Revert back to 15.08.1 for https://bugs.kde.org/show_bug.cgi?id=354045
     This bug has been closed upstream, and fixed by pointing the download links for 15.08.02 to a later commit.
2. Build with OpenGLES on armhf https://bugs.kde.org/show_bug.cgi?id=350061
     This bug was fixed in version 15.12.0

Ross Gammon (rosco2) on 2016-02-17
affects: ubuntu → kdenlive (Ubuntu)
Scarlett Gately Moore (sgclark) wrote :

Looking at the pain to sync the external svn for this merge, I am all for it. yofel is release manager though and has final say. Assigning him so that he can took a look and make sure it is the right move.

Changed in kdenlive (Ubuntu):
assignee: nobody → Philip Muškovac (yofel)
Ross Gammon (rosco2) wrote :

It would be great if you could look into this yofel!

Please note, I just changed the title. I realised after I switched my computer off for the day, that there is still one Ubuntu change that prevents the sync, and that is the epoch in the version number.

But surely it is easier to pull the Debian source occasionally, and just change the debian/changelog to add the epoch to the version (rather than importing from upstream's svn)?

summary: - Please sync kdenlive from Debian unstable
+ Please merge kdenlive from Debian unstable
Philip Muškovac (yofel) wrote :

Kdenlive is part of the kde applications set which we are currently updating to 15.12.1, and will to .2 shortly after that and we will have to get this into 16.04 to properly support plasma 5.5. It's just taking a while as merging 186 packages is not a quick task.

I'm unassigning myself from this for now and putting it on the Kubuntu 16.04 RC list instead.

Changed in kdenlive (Ubuntu):
assignee: Philip Muškovac (yofel) → nobody
importance: Undecided → Medium
milestone: none → ubuntu-16.04
status: New → Triaged
tags: added: kubuntu xenial
Scarlett Gately Moore (sgclark) wrote :

I can't catch a break haha. Assigning myself since I am was originally working on this nightmare merge.

Changed in kdenlive (Ubuntu):
assignee: nobody → Scarlett Clark (sgclark)
Scarlett Gately Moore (sgclark) wrote :

This is complete and in testing.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu Package testing tracker.

A list of all reports related to this bug can be found here:
http://packages.qa.ubuntu.com/qatracker/reports/bugs/1546803

tags: added: package-qa-testing
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1546803

tags: added: iso-testing
Scarlett Gately Moore (sgclark) wrote :

Uh this is not on the iso as our Ffe has not been approved.....

Philip Muškovac (yofel) wrote :

Fixed in 4:15.12.1-0ubuntu1

Changed in kdenlive (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers